# Ports should be set as USER_PORT_BASE<N> where <N> is a number between 0 and 99
ADMINER_PORT=USER_PORT_BASE1
BLAZEGRAPH_PORT=USER_PORT_BASE2
FLOODVIS_PORT=USER_PORT_BASE3
GEOSERVER_PORT=USER_PORT_BASE4
LIB_OFF_PORT=USER_PORT_BASE5
ONTOP_PORT=USER_PORT_BASE6
POSTGRES_PORT=USER_PORT_BASE7
QGIS_SSH_PORT=USER_PORT_BASE8
RDF4J_PORT=USER_PORT_BASE9
UPDATE_AGENT_PORT=USER_PORT_BASE10
VIS_PORT=USER_PORT_BASE11
WEBVOWL_PORT=USER_PORT_BASE12
TEIID_PORT=USER_PORT_BASE13

# ./scripts/generate_env_file.sh sets these to to the output of 'hostname' when podman-compose is installed, 'host.docker.internal' otherwise
BLAZEGRAPH_HOST=CONTAINER_HOST
ONTOP_HOST=CONTAINER_HOST
POSTGRES_HOST=CONTAINER_HOST
UPDATE_AGENT_HOST=CONTAINER_HOST
GEOSERVER_HOST=CONTAINER_HOST
TEIID_HOST=CONTAINER_HOST

# Shared data directory
SHARED_DATA_DIR_HOST=./test_data/synthetic
SHARED_DATA_DIR=/data/inputs
GEOTIF_DIR=/geotifs

# Geoserver options
GEOSERVER_DATA_DIR=/var/geoserver/datadir
GEOSERVER_LOG_DIR=/var/geoserver/logs
GEOSERVER_VERSION=2.19.2
GEOWEBCACHE_CACHE_DIR=/var/geoserver/gwc
GEOWEBCACHE_CONFIG_DIR=/var/geoserver/gwc_config
GRIB_CACHE_DIR=/var/geoserver/grib_cache
NETCDF_DATA_DIR=/var/geoserver/netcfd

# Ontop
ONTOP_DEV_MODE=True
ONTOP_LAZY_INIT=True
ONTOP_POSTGRES_VERSION=42.2.14.jre7
ONTOP_VERSION=4.1.1

# Teiid
TEIID_VERSION=16.0.0
TEIID_POSTGRES_VERSION=42.3.3
TEIID_USER=teiid_user
TEIID_PASSWORD=teiidpass

# Postgres
POSTGRES_USER=postgres
POSTGRES_PASSWORD=postpass

# Temporarily set variables usually handled by the wrapper script
NETWORK_NAME=credo